Network Security Perimeter Access Rules - Create Or Update

네트워크 액세스 규칙을 만들거나 업데이트합니다.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkSecurityPerimeters/{networkSecurityPerimeterName}/profiles/{profileName}/accessRules/{accessRuleName}?api-version=2025-05-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
accessRuleName
path True

string

maxLength: 80
pattern: (^[a-zA-Z0-9]+[a-zA-Z0-9_.-]*[a-zA-Z0-9_]+$)|(^[a-zA-Z0-9]$)

NSP 액세스 규칙의 이름입니다.

networkSecurityPerimeterName
path True

string

maxLength: 80
pattern: (^[a-zA-Z0-9]+[a-zA-Z0-9_.-]*[a-zA-Z0-9_]+$)|(^[a-zA-Z0-9]$)

네트워크 보안 경계의 이름입니다.

profileName
path True

string

maxLength: 80
pattern: (^[a-zA-Z0-9]+[a-zA-Z0-9_.-]*[a-zA-Z0-9_]+$)|(^[a-zA-Z0-9]$)

NSP 프로필의 이름입니다.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.

subscriptionId
path True

string (uuid)

대상 구독의 ID입니다. 값은 UUID여야 합니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

요청 본문

Name 형식 Description
properties.addressPrefixes

string[]

인바운드 주소 접두사(IPv4/IPv6)

properties.direction

AccessRuleDirection

액세스 규칙이 인바운드/아웃바운드인지 여부를 지정하는 방향입니다.

properties.emailAddresses

string[]

이메일 주소 형식의 아웃바운드 규칙입니다. 이 액세스 규칙 유형은 현재 사용할 수 없습니다.

properties.fullyQualifiedDomainNames

string[]

정규화된 도메인 이름 형식의 아웃바운드 규칙입니다.

properties.phoneNumbers

string[]

전화 번호 형식의 아웃바운드 규칙입니다. 이 액세스 규칙 유형은 현재 사용할 수 없습니다.

properties.serviceTags

string[]

서비스 태그 형식의 인바운드 규칙입니다. 이 액세스 규칙 유형은 현재 사용할 수 없습니다.

properties.subscriptions.id

string (arm-id)

ARM ID 형식의 구독 ID입니다.

응답

Name 형식 Description
200 OK

NspAccessRule

리소스 'NspAccessRule' 업데이트 작업이 성공했습니다

201 Created

NspAccessRule

리소스 'NspAccessRule' create 작업 성공

Other Status Codes

Common.CloudError

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

NspAccessRulePut

샘플 요청

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkSecurityPerimeters/nsp1/profiles/profile1/accessRules/accessRule1?api-version=2025-05-01

{
  "properties": {
    "addressPrefixes": [
      "10.11.0.0/16",
      "10.10.1.0/24"
    ],
    "direction": "Inbound"
  }
}

샘플 응답

{
  "name": "accessRule1",
  "type": "Microsoft.Network/networkSecurityPerimeters/profiles/accessRules",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkSecurityPerimeters/nsp1/profiles/profile1/accessRules/accessRule1",
  "properties": {
    "addressPrefixes": [
      "10.11.0.0/16",
      "10.10.1.0/24"
    ],
    "direction": "Inbound",
    "emailAddresses": [],
    "fullyQualifiedDomainNames": [],
    "networkSecurityPerimeters": [],
    "phoneNumbers": [],
    "provisioningState": "Succeeded",
    "serviceTags": [],
    "subscriptions": []
  },
  "systemData": {
    "createdAt": "2024-02-07T18:07:36.3446713Z",
    "createdBy": "user",
    "createdByType": "User",
    "lastModifiedAt": "2024-02-07T18:07:36.3446713Z",
    "lastModifiedBy": "user",
    "lastModifiedByType": "User"
  }
}
{
  "name": "accessRule1",
  "type": "Microsoft.Network/networkSecurityPerimeters/profiles/accessRules",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkSecurityPerimeters/nsp1/profiles/profile1/accessRules/accessRule1",
  "properties": {
    "addressPrefixes": [
      "10.11.0.0/16",
      "10.10.1.0/24"
    ],
    "direction": "Inbound",
    "emailAddresses": [],
    "fullyQualifiedDomainNames": [],
    "networkSecurityPerimeters": [],
    "phoneNumbers": [],
    "provisioningState": "Succeeded",
    "serviceTags": [],
    "subscriptions": []
  },
  "systemData": {
    "createdAt": "2024-02-07T18:07:36.3446713Z",
    "createdBy": "user",
    "createdByType": "User",
    "lastModifiedAt": "2024-02-07T18:07:36.3446713Z",
    "lastModifiedBy": "user",
    "lastModifiedByType": "User"
  }
}

정의

Name Description
AccessRuleDirection

액세스 규칙이 인바운드/아웃바운드인지 여부를 지정하는 방향입니다.

Common.CloudError

서비스의 오류 응답입니다.

Common.CloudErrorBody

서비스의 오류 응답입니다.

CreatedByType

리소스를 만든 ID의 형식입니다.

NspAccessRule

NSP 액세스 규칙 리소스

NspProvisioningState

현재 프로비저닝 상태입니다.

SecurityPerimeterSystemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

AccessRuleDirection

액세스 규칙이 인바운드/아웃바운드인지 여부를 지정하는 방향입니다.

Description
Inbound

인바운드 (내부에 유입되는)

Outbound

Outbound

Common.CloudError

서비스의 오류 응답입니다.

Name 형식 Description
error

Common.CloudErrorBody

클라우드 오류 본문.

Common.CloudErrorBody

서비스의 오류 응답입니다.

Name 형식 Description
code

string

오류의 식별자입니다. 코드는 고정적이며 프로그래밍 방식으로 사용할 수 있습니다.

details

Common.CloudErrorBody[]

오류에 대한 추가 세부 정보 목록입니다.

message

string

사용자 인터페이스에 표시하기에 적합한 오류를 설명하는 메시지입니다.

target

string

특정 오류의 대상입니다. 예를 들어 오류가 발생한 속성의 이름입니다.

CreatedByType

리소스를 만든 ID의 형식입니다.

Description
User

사용자

Application

Application

ManagedIdentity

ManagedIdentity

Key

암호키

NspAccessRule

NSP 액세스 규칙 리소스

Name 형식 Description
id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

리소스의 이름

properties.addressPrefixes

string[]

인바운드 주소 접두사(IPv4/IPv6)

properties.direction

AccessRuleDirection

액세스 규칙이 인바운드/아웃바운드인지 여부를 지정하는 방향입니다.

properties.emailAddresses

string[]

이메일 주소 형식의 아웃바운드 규칙입니다. 이 액세스 규칙 유형은 현재 사용할 수 없습니다.

properties.fullyQualifiedDomainNames

string[]

정규화된 도메인 이름 형식의 아웃바운드 규칙입니다.

properties.networkSecurityPerimeters.id

string (arm-id)

ARM ID 형식의 NSP ID입니다.

properties.networkSecurityPerimeters.location

string

제공된 NSP의 위치입니다.

properties.networkSecurityPerimeters.perimeterGuid

string

제공된 NSP의 리소스 guid입니다.

properties.phoneNumbers

string[]

전화 번호 형식의 아웃바운드 규칙입니다. 이 액세스 규칙 유형은 현재 사용할 수 없습니다.

properties.provisioningState

NspProvisioningState

범위 할당 리소스의 프로비저닝 상태입니다.

properties.serviceTags

string[]

서비스 태그 형식의 인바운드 규칙입니다. 이 액세스 규칙 유형은 현재 사용할 수 없습니다.

properties.subscriptions.id

string (arm-id)

ARM ID 형식의 구독 ID입니다.

systemData

SecurityPerimeterSystemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

NspProvisioningState

현재 프로비저닝 상태입니다.

Description
Succeeded

성공함

Creating

만드는 중

Updating

업데이트 중

Deleting

삭제 중

Accepted

수락됨

Failed

실패

SecurityPerimeterSystemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

CreatedByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

CreatedByType

리소스를 마지막으로 수정한 ID의 형식입니다.